com.sun.pdfview.decode

## Class TIFFPredictor

- java.lang.Object
- - com.sun.pdfview.decode.Predictor
  - - com.sun.pdfview.decode.TIFFPredictor

    public class TIFFPredictor
    extends Predictor

Undo prediction based on the TIFF Predictor 2 algorithm

### Field Summary

### Fields inherited from class com.sun.pdfview.decode.Predictor

`PNG, TIFF`

### Constructor Summary

Constructors
Constructor and Description
`TIFFPredictor()`

### Method Summary

Methods
`java.nio.ByteBuffer` `unpredict(java.nio.ByteBuffer imageData)` Undo data based on the png algorithm

### Methods inherited from class com.sun.pdfview.decode.Predictor

`getAlgorithm, getBitsPerComponent, getColors, getColumns, getPredictor, setBitsPerComponent, setColors, setColumns`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TIFFPredictor

    public TIFFPredictor()

### Method Detail

#### unpredict

    public java.nio.ByteBuffer unpredict(java.nio.ByteBuffer imageData)
                                  throws java.io.IOException

Undo data based on the png algorithm

Specified by:
  `unpredict` in class `Predictor`
Throws:
  `java.io.IOException`